> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Host Authentication Token

> Gets details about a specific host authentication token.

`Unary` · [`Runner Configurations`](/docs/api-reference/generated/runner-configuration/overview)

Gets details about a specific host authentication token.

Use this method to:

* View token information
* Check token expiration
* Verify token validity

### Examples

* Get token details:

  Retrieves information about a specific token.

  ```yaml theme={null}
  id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.RunnerConfigurationService/GetHostAuthenticationToken
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.RunnerConfigurationService/GetHostAuthenticationToken" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "id": "<id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.runner_configuration_pb2 as runner_configuration_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = runner_configuration_pb2.GetHostAuthenticationTokenRequest(
      id="<id>",
  )
  response = ona.services.runner_configuration.get_host_authentication_token(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetHostAuthenticationTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/runner_configuration_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetHostAuthenticationTokenRequestSchema, {
      id: "<id>",
    });
    const response = await ona.services.runnerConfiguration.getHostAuthenticationToken(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetHostAuthenticationTokenRequest{
  		Id: "<id>",
  	})
  	response, err := ona.Services.RunnerConfiguration.GetHostAuthenticationToken(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "id": "<id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetHostAuthenticationTokenRequest`

| Field | Type   | Required | Description                      |
| ----- | ------ | -------- | -------------------------------- |
| `id`  | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetHostAuthenticationTokenResponse`

| Field   | Type                                                                 | Required | Description                   |
| ------- | -------------------------------------------------------------------- | -------- | ----------------------------- |
| `token` | [HostAuthenticationToken](#type-gitpod-v1-host-authentication-token) | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-host-authentication-token" />

<Accordion title="HostAuthenticationToken">
  `gitpod.v1.HostAuthenticationToken`

  | Field           | Type                                                                              | Required | Description                                                               |
  | --------------- | --------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------- |
  | `id`            | string                                                                            | No       |                                                                           |
  | `runnerId`      | string                                                                            | No       |                                                                           |
  | `userId`        | string                                                                            | No       | **Deprecated.** Deprecated: Use principal\_id and principal\_type instead |
  | `host`          | string                                                                            | No       |                                                                           |
  | `source`        | [HostAuthenticationTokenSource](#enum-gitpod-v1-host-authentication-token-source) | No       |                                                                           |
  | `expiresAt`     | RFC 3339 timestamp                                                                | No       |                                                                           |
  | `integrationId` | string                                                                            | No       |                                                                           |
  | `scopes`        | array of string                                                                   | No       |                                                                           |
  | `subject`       | [Subject](#type-gitpod-v1-subject)                                                | No       | Subject identifies the principal (user or service account) for the token  |
</Accordion>

<a id="type-gitpod-v1-subject" />

<Accordion title="Subject">
  `gitpod.v1.Subject`

  | Field       | Type                                   | Required | Description                                                                      |
  | ----------- | -------------------------------------- | -------- | -------------------------------------------------------------------------------- |
  | `id`        | string                                 | No       | id is the UUID of the subject Constraints: `ignore=1, string.uuid=true`.         |
  | `principal` | [Principal](#enum-gitpod-v1-principal) | No       | Principal is the principal of the subject Constraints: `enum.defined_only=true`. |
</Accordion>

<a id="enum-gitpod-v1-host-authentication-token-source" />

<Accordion title="HostAuthenticationTokenSource">
  | Value                                          | Number | Description |
  | ---------------------------------------------- | -----: | ----------- |
  | `HOST_AUTHENTICATION_TOKEN_SOURCE_UNSPECIFIED` |      0 |             |
  | `HOST_AUTHENTICATION_TOKEN_SOURCE_OAUTH`       |      1 |             |
  | `HOST_AUTHENTICATION_TOKEN_SOURCE_PAT`         |      2 |             |
</Accordion>

<a id="enum-gitpod-v1-principal" />

<Accordion title="Principal">
  | Value                       | Number | Description |
  | --------------------------- | -----: | ----------- |
  | `PRINCIPAL_UNSPECIFIED`     |      0 |             |
  | `PRINCIPAL_ACCOUNT`         |      1 |             |
  | `PRINCIPAL_USER`            |      2 |             |
  | `PRINCIPAL_RUNNER`          |      3 |             |
  | `PRINCIPAL_ENVIRONMENT`     |      4 |             |
  | `PRINCIPAL_SERVICE_ACCOUNT` |      5 |             |
  | `PRINCIPAL_RUNNER_MANAGER`  |      6 |             |
</Accordion>
